## akonadi-calendar 22.12.0

=== debian/changelog ===
akonadi-calendar (4:22.12.0-2) unstable; urgency=medium

  [ Patrick Franz ]
  * Upload to unstable.

 -- Patrick Franz <deltaone@debian.org>  Wed, 04 Jan 2023 21:35:05 +0100

akonadi-calendar (4:22.12.0-1) experimental; urgency=medium

  [ Patrick Franz ]
  * New upstream release (22.12.0).
  * Update build-deps and deps with the info from cmake.
  * Bump Standards-Version to 4.6.2 (No changes needed).

 -- Patrick Franz <deltaone@debian.org>  Thu, 22 Dec 2022 21:04:36 +0100

=== debian/control ===
Source: akonadi-calendar
Section: libs
Priority: optional
Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Sandro Knauß <hefee@debian.org>, Patrick Franz <deltaone@debian.org>
Build-Depends: cmake (>= 3.16~),
               debhelper-compat (= 13),
               dh-sequence-kf5,
               extra-cmake-modules (>= 5.99.0~),
               gettext,
               libgrantlee5-dev (>= 5.2~),
               libkf5akonadi-dev (>= 4:22.12.0~),
               libkf5akonadicontact-dev (>= 4:22.12.0~),
               libkf5calendarcore-dev (>= 5:5.99.0~),
               libkf5calendarutils-dev (>= 4:22.12.0~),
               libkf5codecs-dev (>= 5.99.0~),
               libkf5dbusaddons-dev (>= 5.99.0~),
               libkf5i18n-dev (>= 5.99.0~),
               libkf5identitymanagement-dev (>= 22.12.0~),
               libkf5kio-dev (>= 5.99.0~),
               libkf5mailtransport-dev (>= 22.12.0~),
               libkf5notifications-dev (>= 5.99.0~),
               libkf5widgetsaddons-dev (>= 5.99.0~),
               libkf5xmlgui-dev (>= 5.99.0~),
               qtbase5-dev (>= 5.15.2~),
               xauth <!nocheck>,
               xvfb <!nocheck>,
Standards-Version: 4.6.2
Homepage: https://invent.kde.org/pim/akonadi-calendar
Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/akonadi-calendar
Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/akonadi-calendar.git
Rules-Requires-Root: no

Package: kalendarac
Breaks: libkf5akonadicalendar-bin
Replaces: libkf5akonadicalendar-bin
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: akonadi-calendar - calendar reminder
 This library offers helper functions to integrate the use of Akonadi calendar
 items in applications.
 .
 This package contains the daemon for calendar reminders.

Package: libkf5akonadicalendar-data
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends}
Description: data files for akonadi-calendar
 This library offers helper functions to integrate the use of Akonadi calendar
 items in applications.
 .
 This package contains shared data files.

Package: libkf5akonadicalendar-dev
Section: libdevel
Architecture: any
Multi-Arch: same
Depends: libkf5akonadi-dev (>= 4:22.12.0~),
         libkf5akonadicalendar5abi1 (= ${binary:Version}),
         libkf5akonadicontact-dev (>= 4:22.12.0~),
         libkf5calendarcore-dev (>= 5:5.99.0~),
         ${misc:Depends},
Description: akonadi-calendar - development files
 This library offers helper functions to integrate the use of Akonadi calendar
 items in applications.
 .
 This package contains the development files.

Package: libkf5akonadicalendar5abi1
X-Debian-ABI: 1
X-CMake-Target: KF5AkonadiCalendar
Architecture: any
Multi-Arch: same
Depends: libkf5akonadicalendar-data (= ${source:Version}),
         ${misc:Depends},
         ${shlibs:Depends},
Description: library providing calendar helpers for Akonadi items
 This library offers helper functions to integrate the use of Akonadi calendar
 items in applications.
Provides: ${ABI:VirtualPackage}

## akonadi-calendar 22.12.2

=== debian/changelog ===
akonadi-calendar (4:22.12.2-1) unstable; urgency=medium

  [ Patrick Franz ]
  * New upstream release (22.12.2).
  * Update build-deps and deps with the info from cmake.

 -- Patrick Franz <deltaone@debian.org>  Sun, 05 Feb 2023 00:26:47 +0100

=== debian/control ===
--- 
+++ 
@@ -9,16 +9,16 @@
                extra-cmake-modules (>= 5.99.0~),
                gettext,
                libgrantlee5-dev (>= 5.2~),
-               libkf5akonadi-dev (>= 4:22.12.0~),
-               libkf5akonadicontact-dev (>= 4:22.12.0~),
+               libkf5akonadi-dev (>= 4:22.12.2~),
+               libkf5akonadicontact-dev (>= 4:22.12.2~),
                libkf5calendarcore-dev (>= 5:5.99.0~),
-               libkf5calendarutils-dev (>= 4:22.12.0~),
+               libkf5calendarutils-dev (>= 4:22.12.2~),
                libkf5codecs-dev (>= 5.99.0~),
                libkf5dbusaddons-dev (>= 5.99.0~),
                libkf5i18n-dev (>= 5.99.0~),
-               libkf5identitymanagement-dev (>= 22.12.0~),
+               libkf5identitymanagement-dev (>= 22.12.2~),
                libkf5kio-dev (>= 5.99.0~),
-               libkf5mailtransport-dev (>= 22.12.0~),
+               libkf5mailtransport-dev (>= 22.12.2~),
                libkf5notifications-dev (>= 5.99.0~),
                libkf5widgetsaddons-dev (>= 5.99.0~),
                libkf5xmlgui-dev (>= 5.99.0~),
@@ -56,9 +56,9 @@
 Section: libdevel
 Architecture: any
 Multi-Arch: same
-Depends: libkf5akonadi-dev (>= 4:22.12.0~),
+Depends: libkf5akonadi-dev (>= 4:22.12.2~),
          libkf5akonadicalendar5abi1 (= ${binary:Version}),
-         libkf5akonadicontact-dev (>= 4:22.12.0~),
+         libkf5akonadicontact-dev (>= 4:22.12.2~),
          libkf5calendarcore-dev (>= 5:5.99.0~),
          ${misc:Depends},
 Description: akonadi-calendar - development files

## akonadi-calendar 22.12.3

=== CMakeLists.txt ===
# SPDX-FileCopyrightText: none
# SPDX-License-Identifier: BSD-3-Clause

cmake_minimum_required(VERSION 3.16 FATAL_ERROR)

set(PIM_VERSION "5.22.3")
project(Akonadi-Calendar  VERSION ${PIM_VERSION})

# ECM setup
set(KF5_MIN_VERSION "5.99.0")
find_package(ECM ${KF5_MIN_VERSION} CONFIG REQUIRED)
set(CMAKE_MODULE_PATH ${ECM_MODULE_PATH})
set(QT_REQUIRED_VERSION "5.15.2")
if (QT_MAJOR_VERSION STREQUAL "6")
    set(QT_REQUIRED_VERSION "6.4.0")
endif()

include(KDEInstallDirs)
include(KDECMakeSettings)
include(KDECompilerSettings NO_POLICY_SCOPE)

include(GenerateExportHeader)
include(ECMGenerateHeaders)
include(ECMGeneratePriFile)

include(ECMSetupVersion)
include(FeatureSummary)
include(KDEGitCommitHooks)
include(KDEClangFormat)
file(GLOB_RECURSE ALL_CLANG_FORMAT_SOURCE_FILES *.cpp *.h *.c)
kde_clang_format(${ALL_CLANG_FORMAT_SOURCE_FILES})

include(ECMQtDeclareLoggingCategory)
include(ECMDeprecationSettings)



set(AKONADICALENDAR_LIB_VERSION ${PIM_VERSION})
set(AKONADICONTACT_LIB_VERSION "5.22.3")
set(AKONADI_LIB_VERSION "5.22.3")
set(MAILTRANSPORT_LIB_VERSION "5.22.3")
set(CALENDARUTILS_LIB_VERSION "5.22.3")
set(IDENTITYMANAGEMENT_LIB_VERSION "5.22.3")

ecm_setup_version(PROJECT VARIABLE_PREFIX AKONADICALENDAR
                        VERSION_HEADER "${CMAKE_CURRENT_BINARY_DIR}/akonadi-calendar_version.h"
                        PACKAGE_VERSION_FILE "${CMAKE_CURRENT_BINARY_DIR}/KF5AkonadiCalendarConfigVersion.cmake"
                        SOVERSION 5
)

configure_file(akonadi-calendar-version.h.cmake ${CMAKE_CURRENT_BINARY_DIR}/src/akonadi-calendar-version.h @ONLY)

if(BUILD_TESTING)
   add_definitions(-DBUILD_TESTING)
endif()

########### Find packages ###########
find_package(KF5I18n ${KF5_MIN_VERSION} CONFIG REQUIRED)
find_package(KF5WidgetsAddons ${KF5_MIN_VERSION} CONFIG REQUIRED)
find_package(KF5XmlGui ${KF5_MIN_VERSION} CONFIG REQUIRED)
find_package(KF5KIO ${KF5_MIN_VERSION} CONFIG REQUIRED)
find_package(KF5Codecs ${KF5_MIN_VERSION} CONFIG REQUIRED)
find_package(KF5DBusAddons ${KF5_MIN_VERSION} CONFIG REQUIRED)
find_package(KF5Notifications ${KF5_MIN_VERSION} CONFIG REQUIRED)

find_package(KF5MailTransportAkonadi ${MAILTRANSPORT_LIB_VERSION} CONFIG REQUIRED)
find_package(KF5IdentityManagement ${IDENTITYMANAGEMENT_LIB_VERSION} CONFIG REQUIRED)
find_package(KF5CalendarCore ${KF5_MIN_VERSION} CONFIG REQUIRED)
find_package(KF5CalendarUtils ${CALENDARUTILS_LIB_VERSION} CONFIG REQUIRED)

find_package(KF5Akonadi ${AKONADI_LIB_VERSION} CONFIG REQUIRED)
find_package(KF5AkonadiContact ${AKONADICONTACT_LIB_VERSION} CONFIG REQUIRED)

########### Targets ###########


ecm_set_disabled_deprecation_versions(QT 5.15.2 KF 5.99.0)



option(USE_UNITY_CMAKE_SUPPORT "Use UNITY cmake support (speedup compile time)" OFF)

set(COMPILE_WITH_UNITY_CMAKE_SUPPORT OFF)
if (USE_UNITY_CMAKE_SUPPORT)
    set(COMPILE_WITH_UNITY_CMAKE_SUPPORT ON)
    add_definitions(-DCOMPILE_WITH_UNITY_CMAKE_SUPPORT)
endif()

add_subdirectory(src)
add_subdirectory(serializers)
add_subdirectory(reminder-daemon)
add_subdirectory(calendar-plugin)
if (BUILD_TESTING)
    add_subdirectory(autotests)
endif ()

########### CMake Config Files ###########
set(CMAKECONFIG_INSTALL_DIR "${KDE_INSTALL_CMAKEPACKAGEDIR}/KF5AkonadiCalendar")

configure_package_config_file(
  "${CMAKE_CURRENT_SOURCE_DIR}/KF5AkonadiCalendarConfig.cmake.in"
  "${CMAKE_CURRENT_BINARY_DIR}/KF5AkonadiCalendarConfig.cmake"
  INSTALL_DESTINATION  ${CMAKECONFIG_INSTALL_DIR}
)

install(FILES
  "${CMAKE_CURRENT_BINARY_DIR}/KF5AkonadiCalendarConfig.cmake"
  "${CMAKE_CURRENT_BINARY_DIR}/KF5AkonadiCalendarConfigVersion.cmake"
  DESTINATION "${CMAKECONFIG_INSTALL_DIR}"
  COMPONENT Devel
)

install(EXPORT KF5AkonadiCalendarTargets DESTINATION "${CMAKECONFIG_INSTALL_DIR}" FILE KF5AkonadiCalendarTargets.cmake NAMESPACE KF5::)

install(FILES
   ${CMAKE_CURRENT_BINARY_DIR}/akonadi-calendar_version.h
  DESTINATION ${KDE_INSTALL_INCLUDEDIR_KF}/AkonadiCalendar COMPONENT Devel
)
ecm_qt_install_logging_categories(
        EXPORT AKONADI-CALENDAR
        FILE akonadi-calendar.categories
        DESTINATION ${KDE_INSTALL_LOGGINGCATEGORIESDIR}
        )
kde_configure_git_pre_commit_hook(CHECKS CLANG_FORMAT)
ki18n_install(po)
feature_summary(WHAT ALL FATAL_ON_MISSING_REQUIRED_PACKAGES)

=== debian/changelog ===
akonadi-calendar (4:22.12.3-1) unstable; urgency=medium

  [ Patrick Franz ]
  * New upstream release (22.12.3).
  * Update build-deps and deps with the info from cmake.

 -- Patrick Franz <deltaone@debian.org>  Wed, 01 Mar 2023 21:32:24 +0100

=== debian/control ===
--- 
+++ 
@@ -2,23 +2,23 @@
 Section: libs
 Priority: optional
 Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
-Uploaders: Sandro Knauß <hefee@debian.org>, Patrick Franz <deltaone@debian.org>
+Uploaders: Sandro Knauß <hefee@debian.org>, Patrick Franz <deltaone@debian.org>,
 Build-Depends: cmake (>= 3.16~),
                debhelper-compat (= 13),
                dh-sequence-kf5,
                extra-cmake-modules (>= 5.99.0~),
                gettext,
                libgrantlee5-dev (>= 5.2~),
-               libkf5akonadi-dev (>= 4:22.12.2~),
-               libkf5akonadicontact-dev (>= 4:22.12.2~),
+               libkf5akonadi-dev (>= 4:22.12.3~),
+               libkf5akonadicontact-dev (>= 4:22.12.3~),
                libkf5calendarcore-dev (>= 5:5.99.0~),
-               libkf5calendarutils-dev (>= 4:22.12.2~),
+               libkf5calendarutils-dev (>= 4:22.12.3~),
                libkf5codecs-dev (>= 5.99.0~),
                libkf5dbusaddons-dev (>= 5.99.0~),
                libkf5i18n-dev (>= 5.99.0~),
-               libkf5identitymanagement-dev (>= 22.12.2~),
+               libkf5identitymanagement-dev (>= 22.12.3~),
                libkf5kio-dev (>= 5.99.0~),
-               libkf5mailtransport-dev (>= 22.12.2~),
+               libkf5mailtransport-dev (>= 22.12.3~),
                libkf5notifications-dev (>= 5.99.0~),
                libkf5widgetsaddons-dev (>= 5.99.0~),
                libkf5xmlgui-dev (>= 5.99.0~),
@@ -32,10 +32,10 @@
 Rules-Requires-Root: no
 
 Package: kalendarac
-Breaks: libkf5akonadicalendar-bin
-Replaces: libkf5akonadicalendar-bin
+Breaks: libkf5akonadicalendar-bin,
+Replaces: libkf5akonadicalendar-bin,
 Architecture: any
-Depends: ${misc:Depends}, ${shlibs:Depends}
+Depends: ${misc:Depends}, ${shlibs:Depends},
 Description: akonadi-calendar - calendar reminder
  This library offers helper functions to integrate the use of Akonadi calendar
  items in applications.
@@ -45,7 +45,7 @@
 Package: libkf5akonadicalendar-data
 Architecture: all
 Multi-Arch: foreign
-Depends: ${misc:Depends}
+Depends: ${misc:Depends},
 Description: data files for akonadi-calendar
  This library offers helper functions to integrate the use of Akonadi calendar
  items in applications.
@@ -56,9 +56,9 @@
 Section: libdevel
 Architecture: any
 Multi-Arch: same
-Depends: libkf5akonadi-dev (>= 4:22.12.2~),
+Depends: libkf5akonadi-dev (>= 4:22.12.3~),
          libkf5akonadicalendar5abi1 (= ${binary:Version}),
-         libkf5akonadicontact-dev (>= 4:22.12.2~),
+         libkf5akonadicontact-dev (>= 4:22.12.3~),
          libkf5calendarcore-dev (>= 5:5.99.0~),
          ${misc:Depends},
 Description: akonadi-calendar - development files
@@ -78,4 +78,4 @@
 Description: library providing calendar helpers for Akonadi items
  This library offers helper functions to integrate the use of Akonadi calendar
  items in applications.
-Provides: ${ABI:VirtualPackage}
+Provides: ${ABI:VirtualPackage},

=== debian/rules ===
#!/usr/bin/make -f

export DEB_BUILD_MAINT_OPTIONS = hardening=+all

include /usr/share/dpkg/pkg-info.mk

AbiVirtualPackageVersion = $(call dpkg_late_eval,AbiVirtualPackageVersion,echo '${DEB_VERSION_UPSTREAM}' | sed -e 's/\.[0-9]\+$$//')
pkgs_lib = $(filter-out %-dev %-doc %-dbg %-data %-bin %-plugins,$(filter lib%,$(shell dh_listpackages)))

%:
	dh $@

override_dh_makeshlibs:
	for pkg in $(pkgs_lib); do \
		name=$$( echo "$${pkg}" | sed -e 's/abi[0-9]\+\s*//'); \
		echo "ABI:VirtualPackage=$${name}-${AbiVirtualPackageVersion}" >> debian/$${pkg}.substvars; \
		dh_makeshlibs -p$${pkg} -V "$${pkg} (>= $(DEB_VERSION_EPOCH_UPSTREAM)), $${name}-${AbiVirtualPackageVersion}"; \
	done
override_dh_auto_test:
	- xvfb-run --\
	           dh_auto_test

## akonadi-calendar 23.08.1

=== debian/changelog ===
akonadi-calendar (4:23.08.1-0ubuntu1) mantic; urgency=medium

  * New upstream release (23.08.1)

 -- Rik Mills <rikmills@kde.org>  Thu, 14 Sep 2023 11:53:24 +0100

akonadi-calendar (4:23.08.0-0ubuntu1) mantic; urgency=medium

  * New upstream release (23.08.0)

 -- Rik Mills <rikmills@kde.org>  Thu, 24 Aug 2023 12:48:10 +0100

akonadi-calendar (4:23.07.90-0ubuntu1) mantic; urgency=medium

  [ Rik Mills ]
  * New upstream (beta) release (23.07.80)
  * New upstream (RC) release (23.07.90)

  [ José Manuel Santamaría Lema ]
  * Update build depends:
    - add libkf5messagecore-dev
    - add libkf5messagecomposer-dev
    - add libkf5mimetreeparser-dev
    - add libkf5templateparser-dev

 -- Rik Mills <rikmills@kde.org>  Tue, 15 Aug 2023 02:28:23 +0100

akonadi-calendar (4:23.04.3-0ubuntu1) mantic; urgency=medium

  * New upstream release (23.04.3)

 -- Rik Mills <rikmills@kde.org>  Thu, 06 Jul 2023 14:40:13 +0100

akonadi-calendar (4:23.04.2-0ubuntu1) mantic; urgency=medium

  * New upstream release (23.04.1)
  * Rename library package libkf5akonadicalendar5abi2 ->
    libkf5akonadicalendar5
  * Update installed files
  * Drop enable_debianabimanager.diff
  * Rename data package: libkf5akonadicalendar-data ->
    libkpim5akonadicalendar-data
  * Sync debian/rules with debian, provide virtual ABI package
  * Pass --with kf5 to dh in debian/rules after debian/rules sync with
    debian
  * Remove symbols file, no longer used
  * Inject dependency on libkf5akonadicalendar-bin in debian/rules
  * Add libkf5textaddons-dev to Build-Depends
  * New upstream release (23.04.2)

 -- José Manuel Santamaría Lema <panfaust@gmail.com>  Mon, 12 Jun 2023 12:57:52 +0100

akonadi-calendar (4:22.12.3-0ubuntu1) lunar; urgency=medium

  * New upstream release (22.12.3)

 -- Rik Mills <rikmills@kde.org>  Thu, 02 Mar 2023 00:32:25 +0000

akonadi-calendar (4:22.12.2-0ubuntu1) lunar; urgency=medium

  * New upstream release (22.12.2)

 -- Simon Quigley <tsimonq2@kubuntu.org>  Sat, 11 Feb 2023 14:07:43 -0600

akonadi-calendar (4:22.12.1-0ubuntu1) lunar; urgency=medium

  * New upstream release (22.12.1)

 -- Rik Mills <rikmills@kde.org>  Mon, 09 Jan 2023 17:24:12 +0000

akonadi-calendar (4:22.12.0-0ubuntu1) lunar; urgency=medium

  * New upstream release (22.12.0)

 -- Rik Mills <rikmills@kde.org>  Fri, 09 Dec 2022 19:03:10 +0000

akonadi-calendar (4:22.11.90-0ubuntu1) lunar; urgency=medium

  * New upstream (RC) release (22.11.90)

 -- Rik Mills <rikmills@kde.org>  Fri, 25 Nov 2022 15:59:37 +0000

akonadi-calendar (4:22.11.80-0ubuntu1) lunar; urgency=medium

  * New upstream (beta) release (22.11.80)
  * Update symbols.

 -- Rik Mills <rikmills@kde.org>  Thu, 17 Nov 2022 10:37:43 +0000

akonadi-calendar (4:22.08.3-0ubuntu1) lunar; urgency=medium

  * New upstream release (22.08.2)
  * New upstream release (22.08.3)

 -- Rik Mills <rikmills@kde.org>  Mon, 07 Nov 2022 11:03:26 +0000

=== debian/control ===
Source: akonadi-calendar
Section: libs
Priority: optional
Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian/Kubuntu Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Maximiliano Curia <maxy@debian.org>
Build-Depends: cmake (>= 2.8.12~),
               debhelper (>= 11),
               extra-cmake-modules (>= 5.31.0~),
               libkf5akonadi-dev (>= 4:23.08.1~),
               libkf5akonadicontact-dev (>= 4:23.08.1~),
               libkf5calendarcore-dev (>= 4:19.08.3~),
               libkf5calendarutils-dev (>= 4:23.08.1~),
               libkf5codecs-dev (>= 5.31.0~),
               libkf5contacteditor-dev (>= 4:23.08.1~),
               libkf5contacts-dev (>= 4:19.08.3~),
               libkf5grantleetheme-dev (>= 23.08.1~),
               libkf5identitymanagement-dev (>= 23.08.1~),
               libkf5kdelibs4support-dev (>= 5.31.0~),
               libkf5kio-dev (>= 5.31.0~),
               libkf5mailtransport-dev (>= 23.08.1~),
               libkf5messagecomposer-dev (>= 4:23.08.1~),
               libkf5messagecore-dev (>= 4:23.08.1~),
               libkf5mimetreeparser-dev (>= 4:23.08.1~),
               libkf5templateparser-dev (>= 4:23.08.1~),
               libkf5textaddons-dev,
               libkf5wallet-dev (>= 5.31.0~),
               pkg-kde-tools (>> 0.15.15),
               qtbase5-dev (>= 5.6.1~),
Standards-Version: 3.9.6
Homepage: https://projects.kde.org/projects/kde/pim/akonadi-calendar
Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/akonadi-calendar
Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/akonadi-calendar

Package: libkpim5akonadicalendar-data
Architecture: all
Multi-Arch: foreign
Breaks: kdepim-runtime (<< 4:18.03.70~), ${kde-l10n:all}
Replaces: libkf5akonadicalendar-data (<< 4:23.04.1~),
          kdepim-runtime (<< 4:18.03.70~),
          ${kde-l10n:all},
Depends: ${misc:Depends}
Description: library providing calendar helpers for Akonadi items - data files
 This library offers helper functions to integrate the use of Akonadi calendar
 items in applications.

Package: libkf5akonadicalendar-dev
Section: libdevel
Architecture: any
Depends: libkf5akonadi-dev (>= 4:23.08.1~),
         libkf5akonadicontact-dev (>= 4:23.08.1~),
         libkf5calendarcore-dev (>= 4:19.08.3~),
         libkpim5akonadicalendar5 (= ${binary:Version}),
         ${misc:Depends},
Description: akonadi-calendar - development files
 This library offers helper functions to integrate the use of Akonadi calendar
 items in applications.
 .
 This package contains the development files.

Package: libkpim5akonadicalendar5
Architecture: any
Multi-Arch: same
Depends: libkpim5akonadicalendar-data (= ${source:Version}),
         ${misc:Depends},
         ${shlibs:Depends},
Breaks: kdepim-runtime (<< 4:18.03.70~)
Replaces: kdepim-runtime (<< 4:18.03.70~)
Provides: ${ABI:VirtualPackage},
Description: library providing calendar helpers for Akonadi items
 This library offers helper functions to integrate the use of Akonadi calendar
 items in applications.

Package: libkf5akonadicalendar-bin
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Replaces: libkf5akonadicalendar5abi2 (<< 4:23.04.1~),
Description: akonadi-calendar - runtime binaries
 This library offers helper functions to integrate the use of Akonadi calendar
 items in applications.
 .
 This package contains runtime binaries.

## akonadi-calendar 23.08.5

=== CMakeLists.txt ===
# SPDX-FileCopyrightText: none
# SPDX-License-Identifier: BSD-3-Clause

cmake_minimum_required(VERSION 3.16 FATAL_ERROR)

set(PIM_VERSION "5.24.5")
project(Akonadi-Calendar  VERSION ${PIM_VERSION})

# ECM setup
set(KF_MIN_VERSION "5.105.0")
find_package(ECM ${KF_MIN_VERSION} CONFIG REQUIRED)
set(CMAKE_MODULE_PATH ${ECM_MODULE_PATH})
set(QT_REQUIRED_VERSION "5.15.2")
if (QT_MAJOR_VERSION STREQUAL "6")
    set(QT_REQUIRED_VERSION "6.4.0")
endif()

include(KDEInstallDirs)
include(KDECMakeSettings)
include(KDECompilerSettings NO_POLICY_SCOPE)

include(GenerateExportHeader)
include(ECMGenerateHeaders)
include(ECMGeneratePriFile)

include(ECMSetupVersion)
include(FeatureSummary)
include(KDEGitCommitHooks)
include(KDEClangFormat)
file(GLOB_RECURSE ALL_CLANG_FORMAT_SOURCE_FILES *.cpp *.h *.c)
kde_clang_format(${ALL_CLANG_FORMAT_SOURCE_FILES})

include(ECMQtDeclareLoggingCategory)
include(ECMDeprecationSettings)
include(ECMAddQch)

if (QT_MAJOR_VERSION STREQUAL "6")
    set(QT_REQUIRED_VERSION "6.4.0")
    set(KF_MIN_VERSION "5.240.0")
    set(KF_MAJOR_VERSION "6")
else()
    set(KF_MAJOR_VERSION "5")
endif()

set(KPIM_MIME_VERSION "5.24.5")
find_package(KPim${KF_MAJOR_VERSION}Mime ${KPIM_MIME_VERSION} CONFIG REQUIRED)
set(AKONADICALENDAR_LIB_VERSION ${PIM_VERSION})
set(AKONADICONTACT_LIB_VERSION "5.24.5")
set(AKONADIMIME_LIB_VERSION "5.24.5")
set(AKONADI_LIB_VERSION "5.24.5")
set(MAILTRANSPORT_LIB_VERSION "5.24.5")
set(CALENDARUTILS_LIB_VERSION "5.24.5")
set(IDENTITYMANAGEMENT_LIB_VERSION "5.24.5")
set(MESSAGECORE_LIB_VERSION "5.24.5")
set(MESSAGECOMPOSER_LIB_VERSION "5.24.5")
set(LIBKLEO_LIB_VERSION "5.24.5")

ecm_setup_version(PROJECT VARIABLE_PREFIX AKONADICALENDAR
                        VERSION_HEADER "${CMAKE_CURRENT_BINARY_DIR}/akonadi-calendar_version.h"
                        PACKAGE_VERSION_FILE "${CMAKE_CURRENT_BINARY_DIR}/KPim${KF_MAJOR_VERSION}AkonadiCalendarConfigVersion.cmake"
                        SOVERSION 5
)

configure_file(akonadi-calendar-version.h.cmake ${CMAKE_CURRENT_BINARY_DIR}/src/akonadi-calendar-version.h @ONLY)
option(BUILD_WITH_COMPAT_LIBS "Generate compat cmake file (Set at false will allow to co-install lib)" ON)

option(BUILD_QCH "Build API documentation in QCH format (for e.g. Qt Assistant, Qt Creator & KDevelop)" OFF)
add_feature_info(QCH ${BUILD_QCH} "API documentation in QCH format (for e.g. Qt Assistant, Qt Creator & KDevelop)")

if(BUILD_TESTING)
   add_definitions(-DBUILD_TESTING)
endif()

########### Find packages ###########
find_package(KF${KF_MAJOR_VERSION}I18n ${KF_MIN_VERSION} CONFIG REQUIRED)
find_package(KF${KF_MAJOR_VERSION}WidgetsAddons ${KF_MIN_VERSION} CONFIG REQUIRED)
find_package(KF${KF_MAJOR_VERSION}XmlGui ${KF_MIN_VERSION} CONFIG REQUIRED)
find_package(KF${KF_MAJOR_VERSION}KIO ${KF_MIN_VERSION} CONFIG REQUIRED)
find_package(KF${KF_MAJOR_VERSION}Codecs ${KF_MIN_VERSION} CONFIG REQUIRED)
find_package(KF${KF_MAJOR_VERSION}DBusAddons ${KF_MIN_VERSION} CONFIG REQUIRED)
find_package(KF${KF_MAJOR_VERSION}Notifications ${KF_MIN_VERSION} CONFIG REQUIRED)
find_package(KF${KF_MAJOR_VERSION}CalendarCore ${KF_MIN_VERSION} CONFIG REQUIRED)

find_package(KPim${KF_MAJOR_VERSION}MailTransport ${MAILTRANSPORT_LIB_VERSION} CONFIG REQUIRED)
find_package(KPim${KF_MAJOR_VERSION}IdentityManagement ${IDENTITYMANAGEMENT_LIB_VERSION} CONFIG REQUIRED)
find_package(KPim${KF_MAJOR_VERSION}CalendarUtils ${CALENDARUTILS_LIB_VERSION} CONFIG REQUIRED)
find_package(KPim${KF_MAJOR_VERSION}MessageCore ${MESSAGECORE_LIB_VERSION} CONFIG REQUIRED)
find_package(KPim${KF_MAJOR_VERSION}MessageComposer ${MESSAGECOMPOSER_LIB_VERSION} CONFIG REQUIRED)
find_package(KPim${KF_MAJOR_VERSION}Libkleo ${LIBKLEO_LIB_VERSION} CONFIG REQUIRED)

find_package(KPim${KF_MAJOR_VERSION}Akonadi ${AKONADI_LIB_VERSION} CONFIG REQUIRED)
find_package(KPim${KF_MAJOR_VERSION}AkonadiContact ${AKONADICONTACT_LIB_VERSION} CONFIG REQUIRED)
find_package(KPim${KF_MAJOR_VERSION}AkonadiMime ${AKONADI_MIME_VERSION} CONFIG REQUIRED)

########### Targets ###########


ecm_set_disabled_deprecation_versions(QT 6.4  KF 5.105.0)



option(USE_UNITY_CMAKE_SUPPORT "Use UNITY cmake support (speedup compile time)" OFF)

set(COMPILE_WITH_UNITY_CMAKE_SUPPORT OFF)
if (USE_UNITY_CMAKE_SUPPORT)
    set(COMPILE_WITH_UNITY_CMAKE_SUPPORT ON)
    add_definitions(-DCOMPILE_WITH_UNITY_CMAKE_SUPPORT)
endif()

add_subdirectory(src)
add_subdirectory(serializers)
add_subdirectory(reminder-daemon)
add_subdirectory(calendar-plugin)
if (BUILD_TESTING)
    add_subdirectory(autotests)
endif ()

########### CMake Config Files ###########
set(CMAKECONFIG_INSTALL_DIR "${KDE_INSTALL_CMAKEPACKAGEDIR}/KPim${KF_MAJOR_VERSION}AkonadiCalendar")

if (BUILD_QCH)
    ecm_install_qch_export(
        TARGETS KPim${KF_MAJOR_VERSION}AkonadiCalendar_QCH
        FILE KPim${KF_MAJOR_VERSION}AkonadiCalendarQchTargets.cmake
        DESTINATION "${CMAKECONFIG_INSTALL_DIR}"
        COMPONENT Devel
    )
    set(PACKAGE_INCLUDE_QCHTARGETS "include(\"\${CMAKE_CURRENT_LIST_DIR}/KPim${KF_MAJOR_VERSION}AkonadiCalendarQchTargets.cmake\")")
endif()

set(AKONADICALENDAR_KF5_COMPAT FALSE)
configure_package_config_file(
  "${CMAKE_CURRENT_SOURCE_DIR}/KPimAkonadiCalendarConfig.cmake.in"
  "${CMAKE_CURRENT_BINARY_DIR}/KPim${KF_MAJOR_VERSION}AkonadiCalendarConfig.cmake"
  INSTALL_DESTINATION  ${CMAKECONFIG_INSTALL_DIR}
)

install(FILES
  "${CMAKE_CURRENT_BINARY_DIR}/KPim${KF_MAJOR_VERSION}AkonadiCalendarConfig.cmake"
  "${CMAKE_CURRENT_BINARY_DIR}/KPim${KF_MAJOR_VERSION}AkonadiCalendarConfigVersion.cmake"
  DESTINATION "${CMAKECONFIG_INSTALL_DIR}"
  COMPONENT Devel
)

install(EXPORT KPim${KF_MAJOR_VERSION}AkonadiCalendarTargets DESTINATION "${CMAKECONFIG_INSTALL_DIR}" FILE KPim${KF_MAJOR_VERSION}AkonadiCalendarTargets.cmake NAMESPACE KPim${KF_MAJOR_VERSION}::)

install(FILES
   ${CMAKE_CURRENT_BINARY_DIR}/akonadi-calendar_version.h
  DESTINATION ${KDE_INSTALL_INCLUDEDIR}/KPim${KF_MAJOR_VERSION}/AkonadiCalendar COMPONENT Devel
)
ecm_qt_install_logging_categories(
        EXPORT AKONADI-CALENDAR
        FILE akonadi-calendar.categories
        DESTINATION ${KDE_INSTALL_LOGGINGCATEGORIESDIR}
        )


kde_configure_git_pre_commit_hook(CHECKS CLANG_FORMAT)
if (BUILD_WITH_COMPAT_LIBS)
if (QT_MAJOR_VERSION STREQUAL "5")
##
# TODO: Backwards compatiblity. Remove in next major version
##
set(CMAKECONFIG_INSTALL_DIR_KF5 "${KDE_INSTALL_CMAKEPACKAGEDIR}/KF5AkonadiCalendar")
set(AKONADICALENDAR_KF5_COMPAT TRUE)
configure_package_config_file(
    "${CMAKE_CURRENT_SOURCE_DIR}/KPimAkonadiCalendarConfig.cmake.in"
    "${CMAKE_CURRENT_BINARY_DIR}/KF5AkonadiCalendarConfig.cmake"
    INSTALL_DESTINATION ${CMAKECONFIG_INSTALL_DIR_KF5}
)

install(FILES
    "${CMAKE_CURRENT_BINARY_DIR}/KF5AkonadiCalendarConfig.cmake"
    DESTINATION "${CMAKECONFIG_INSTALL_DIR_KF5}"
    COMPONENT Devel
)
install(FILES
    "${CMAKE_CURRENT_BINARY_DIR}/KPim${KF_MAJOR_VERSION}AkonadiCalendarConfigVersion.cmake"
    RENAME "KF5AkonadiCalendarConfigVersion.cmake"
    DESTINATION "${CMAKECONFIG_INSTALL_DIR_KF5}"
    COMPONENT Devel
)
install(EXPORT KPim${KF_MAJOR_VERSION}AkonadiCalendarTargets
    DESTINATION "${CMAKECONFIG_INSTALL_DIR_KF5}"
    FILE KPim${KF_MAJOR_VERSION}AkonadiCalendarTargets.cmake
    NAMESPACE KF5::
)

if (BUILD_QCH)
    install(FILES
    "${CMAKE_CURRENT_BINARY_DIR}/KPim${KF_MAJOR_VERSION}AkonadiCalendarQchTargets.cmake"
        DESTINATION "${CMAKECONFIG_INSTALL_DIR_KF5}"
        COMPONENT Devel
    )
endif()
endif()
endif()
ki18n_install(po)
feature_summary(WHAT ALL FATAL_ON_MISSING_REQUIRED_PACKAGES)

=== autotests/CMakeLists.txt ===
# SPDX-FileCopyrightText: none
# SPDX-License-Identifier: BSD-3-Clause

include(ECMMarkAsTest)
include(ECMAddTests)

find_package(Qt${QT_MAJOR_VERSION}Test ${QT_REQUIRED_VERSION} CONFIG REQUIRED)

add_subdirectory(gnupg_home)
include(${CMAKE_SOURCE_DIR}/cmake/modules/kdepim_add_gpg_crypto_test.cmake)

set( KDEPIMLIBS_RUN_ISOLATED_TESTS TRUE )

set( PREVIOUS_EXEC_OUTPUT_PATH ../../tests )
set( EXECUTABLE_OUTPUT_PATH ${CMAKE_CURRENT_BINARY_DIR} )

set(common_sources unittestbase.cpp helper.cpp ${Akonadi-Calendar_BINARY_DIR}/src/akonadicalendar_debug.cpp ${Akonadi-Calendar_SOURCE_DIR}/src/utils_p.cpp)
set(common_libs "KPim${KF_MAJOR_VERSION}::AkonadiCalendar;KF${KF_MAJOR_VERSION}::CalendarCore;KPim${KF_MAJOR_VERSION}::Mime;KPim${KF_MAJOR_VERSION}::IdentityManagement;KPim${KF_MAJOR_VERSION}::AkonadiWidgets;KF${KF_MAJOR_VERSION}::Codecs;KF${KF_MAJOR_VERSION}::ConfigCore")

# the tests need the ical resource, which we might not have at this point (e.g. on the CI)
find_program(AKONADI_ICAL_RESOURCE NAMES akonadi_ical_resource)
if (AKONADI_ICAL_RESOURCE)
    add_akonadi_isolated_test_advanced( historytest.cpp "${common_sources}" "${common_libs}")
    add_akonadi_isolated_test_advanced( incidencechangertest.cpp "" "KPim${KF_MAJOR_VERSION}::AkonadiCalendar" )
    add_akonadi_isolated_test_advanced( calendarbasetest.cpp "" "KPim${KF_MAJOR_VERSION}::AkonadiCalendar" )
    add_akonadi_isolated_test_advanced( fetchjobcalendartest.cpp "" "KPim${KF_MAJOR_VERSION}::AkonadiCalendar" )
    add_akonadi_isolated_test_advanced( etmcalendartest.cpp "" "KPim${KF_MAJOR_VERSION}::AkonadiCalendar;KF${KF_MAJOR_VERSION}::ConfigCore" )

    add_akonadi_isolated_test_advanced( itiphandlertest.cpp "${common_sources}" "${common_libs};KPim${KF_MAJOR_VERSION}::AkonadiMime")

    add_executable( mailclienttest )
    target_sources( mailclienttest PRIVATE mailclienttest.cpp )
    target_link_libraries( mailclienttest PRIVATE
        Qt${QT_MAJOR_VERSION}::DBus
        Qt${QT_MAJOR_VERSION}::Test
        KPim${KF_MAJOR_VERSION}::AkonadiCalendar
        KPim${KF_MAJOR_VERSION}::Mime
        KF${KF_MAJOR_VERSION}::Contacts
        KPim${KF_MAJOR_VERSION}::AkonadiMime
        KPim${KF_MAJOR_VERSION}::IdentityManagement
        KPim${KF_MAJOR_VERSION}::MessageComposer
    )
    add_gpg_crypto_akonadi_test( mailclienttest "mailclienttest" )
endif()



ecm_qt_declare_logging_category(akonadi_serializer_kcalcore_autotest_SRCS HEADER serializer_debug.h IDENTIFIER AKONADI_SERIALIZER_CALENDAR_LOG CATEGORY_NAME org.kde.pim.calendar_serializer)

ecm_add_test(kcalcoreserializertest.cpp ../serializers/akonadi_serializer_kcalcore.cpp ${akonadi_serializer_kcalcore_autotest_SRCS}
    LINK_LIBRARIES KPim${KF_MAJOR_VERSION}::CalendarUtils KF${KF_MAJOR_VERSION}::CalendarCore KPim${KF_MAJOR_VERSION}::AkonadiCore KF${KF_MAJOR_VERSION}::I18n Qt::Test
    TEST_NAME kcalcoreserializertest
)

=== calendar-plugin/CMakeLists.txt ===
# SPDX-FileCopyrightText: 2022 Volker Krause <vkrause@kde.org>
# SPDX-License-Identifier: BSD-2-Clause

add_library(akonadicalendarplugin)
target_sources(akonadicalendarplugin PRIVATE
    akonadicalendarplugin.cpp
    singlecollectioncalendar.cpp
    akonadicalendarplugin.h
    singlecollectioncalendar.h
)

ecm_qt_declare_logging_category(akonadicalendarplugin
    HEADER akonadicalendarplugin_debug.h
    IDENTIFIER AKONADICALENDARPLUGIN_LOG
    CATEGORY_NAME org.kde.kcalendarcore.akonadiplugin
    DESCRIPTION "KCalendarCore (Akonadi plugin)"
    EXPORT AKONADI-CALENDAR
)

target_link_libraries(akonadicalendarplugin PRIVATE
    KF${KF_MAJOR_VERSION}::CalendarCore
    KPim${KF_MAJOR_VERSION}::AkonadiCalendar
)

install(TARGETS akonadicalendarplugin DESTINATION ${KDE_INSTALL_PLUGINDIR}/kf${QT_MAJOR_VERSION}/org.kde.kcalendarcore.calendars/)

=== src/CMakeLists.txt ===
# SPDX-FileCopyrightText: none
# SPDX-License-Identifier: BSD-3-Clause

add_definitions(-DTRANSLATION_DOMAIN=\"libakonadi-calendar5\")

add_library(KPim${KF_MAJOR_VERSION}AkonadiCalendar)
add_library(KPim${KF_MAJOR_VERSION}::AkonadiCalendar ALIAS KPim${KF_MAJOR_VERSION}AkonadiCalendar)

target_sources(KPim${KF_MAJOR_VERSION}AkonadiCalendar PRIVATE
    blockalarmsattribute.cpp
    blockalarmsattribute.h
    calendarbase.cpp
    calendarbase.h
    calendarbase_p.h
    calendarclipboard.cpp
    calendarclipboard.h
    calendarclipboard_p.h
    calendarmodel.cpp
    calendarmodel_p.h
    calendarutils.cpp
    calendarutils.h
    calfilterpartstatusproxymodel_p.cpp
    calfilterpartstatusproxymodel_p.h
    calfilterproxymodel_p.cpp
    calfilterproxymodel_p.h
    etmcalendar.cpp
    etmcalendar.h
    etmcalendar_p.h
    fetchjobcalendar.cpp
    fetchjobcalendar.h
    fetchjobcalendar_p.h
    freebusydownloadjob_p.cpp
    freebusydownloadjob_p.h
    freebusymanager.cpp
    freebusymanager.h
    freebusymanager_p.h
    freebusyproviderbase.cpp
    freebusyproviderbase.h
    freebusyproviderbase_p.h
    history.cpp
    history.h
    history_p.cpp
    history_p.h
    icalimporter.cpp
    icalimporter.h
    icalimporter_p.h
    incidencechanger.cpp
    incidencechanger.h
    incidencechanger_p.cpp
    incidencechanger_p.h
    incidencefetchjob_p.cpp
    incidencefetchjob_p.h
    incidencetreemodel.cpp
    incidencetreemodel.h
    incidencetreemodel_p.h
    itiphandler.cpp
    itiphandler.h
    itiphandlerhelper_p.cpp
    itiphandlerhelper_p.h
    itiphandler_p.cpp
    itiphandler_p.h
    kcolumnfilterproxymodel.cpp
    kcolumnfilterproxymodel_p.h
    mailclient_p.cpp
    mailclient_p.h
    mailscheduler_p.cpp
    mailscheduler_p.h
    publishdialog.cpp
    publishdialog.h
    publishdialog_p.cpp
    publishdialog_p.h
    scheduler_p.cpp
    scheduler_p.h
    searchcollectionhelper.cpp
    searchcollectionhelper.h
    standardcalendaractionmanager.cpp
    standardcalendaractionmanager.h
    todomodel.cpp
    todomodel.h
    todopurger.cpp
    todopurger.h
    todopurger_p.h
    utils_p.cpp
    utils_p.h
)

ecm_qt_declare_logging_category(KPim${KF_MAJOR_VERSION}AkonadiCalendar HEADER akonadicalendar_debug.h IDENTIFIER AKONADICALENDAR_LOG CATEGORY_NAME org.kde.pim.akonadicalendar
        DESCRIPTION "akonadicalendar (pim lib)"
        OLD_CATEGORY_NAMES log_akonadicalendar
        EXPORT AKONADI-CALENDAR
    )

kconfig_add_kcfg_files(KPim${KF_MAJOR_VERSION}AkonadiCalendar GENERATE_MOC calendarsettings.kcfgc)
ki18n_wrap_ui(akonadicalendar_LIB_SRC publishdialog_base.ui)

qt_add_dbus_adaptor( akonadicalendar_LIB_SRC interfaces/org.freedesktop.Akonadi.Resource.FreeBusyProvider.xml freebusyproviderbase_p.h Akonadi::FreeBusyProviderBasePrivate freebusyprovideradaptor  Akonadi__FreeBusyProviderAdaptor )
target_sources(KPim${KF_MAJOR_VERSION}AkonadiCalendar PRIVATE ${akonadicalendar_LIB_SRC})
if (COMPILE_WITH_UNITY_CMAKE_SUPPORT)
    set_target_properties(KPim${KF_MAJOR_VERSION}AkonadiCalendar PROPERTIES UNITY_BUILD ON)
endif()
generate_export_header(KPim${KF_MAJOR_VERSION}AkonadiCalendar BASE_NAME akonadi-calendar)


target_include_directories(KPim${KF_MAJOR_VERSION}AkonadiCalendar INTERFACE "$<INSTALL_INTERFACE:${KDE_INSTALL_INCLUDEDIR}/KPim${KF_MAJOR_VERSION}/AkonadiCalendar>")
target_include_directories(KPim${KF_MAJOR_VERSION}AkonadiCalendar PUBLIC "$<BUILD_INTERFACE:${Akonadi-Calendar_SOURCE_DIR}/src;${Akonadi-Calendar_BINARY_DIR}/src>")

target_link_libraries(KPim${KF_MAJOR_VERSION}AkonadiCalendar
PUBLIC
    KPim${KF_MAJOR_VERSION}::AkonadiCore
    KF${KF_MAJOR_VERSION}::CalendarCore
    KF${KF_MAJOR_VERSION}::WidgetsAddons
    KF${KF_MAJOR_VERSION}::I18n
    KPim${KF_MAJOR_VERSION}::IdentityManagement
PRIVATE
    KF${KF_MAJOR_VERSION}::Codecs
    KF${KF_MAJOR_VERSION}::KIOCore
    KF${KF_MAJOR_VERSION}::JobWidgets
    KF${KF_MAJOR_VERSION}::XmlGui
    KPim${KF_MAJOR_VERSION}::AkonadiContact
    KPim${KF_MAJOR_VERSION}::AkonadiMime
    KPim${KF_MAJOR_VERSION}::CalendarUtils
    KPim${KF_MAJOR_VERSION}::AkonadiWidgets
    KPim${KF_MAJOR_VERSION}::MailTransport
    KPim${KF_MAJOR_VERSION}::Mime
    KPim${KF_MAJOR_VERSION}::MessageCore
    KPim${KF_MAJOR_VERSION}::MessageComposer
    KPim${KF_MAJOR_VERSION}::Libkleo
)

set_target_properties(KPim${KF_MAJOR_VERSION}AkonadiCalendar PROPERTIES
    VERSION ${AKONADICALENDAR_VERSION}
    SOVERSION ${AKONADICALENDAR_SOVERSION}
    EXPORT_NAME AkonadiCalendar
)

ecm_generate_pri_file(BASE_NAME AkonadiCalendar
    LIB_NAME KPim${KF_MAJOR_VERSION}AkonadiCalendar
    DEPS "AkonadiCore KCalendarCore" FILENAME_VAR PRI_FILENAME
)

install(FILES ${PRI_FILENAME} DESTINATION ${ECM_MKSPECS_INSTALL_DIR})

install(TARGETS
    KPim${KF_MAJOR_VERSION}AkonadiCalendar
    EXPORT KPim${KF_MAJOR_VERSION}AkonadiCalendarTargets ${KDE_INSTALL_TARGETS_DEFAULT_ARGS}
)

ecm_generate_headers(AkonadiCalendar_CamelCase_HEADERS
  HEADER_NAMES
  BlockAlarmsAttribute
  CalendarBase
  CalendarClipboard
  CalendarUtils
  ETMCalendar
  FetchJobCalendar
  FreeBusyManager
  FreeBusyProviderBase
  History
  ICalImporter
  IncidenceChanger
  IncidenceTreeModel
  ITIPHandler
  PublishDialog
  StandardCalendarActionManager
  SearchCollectionHelper
  TodoModel
  TodoPurger
  REQUIRED_HEADERS AkonadiCalendar_HEADERS
  PREFIX Akonadi
)

install( FILES
  ${AkonadiCalendar_CamelCase_HEADERS}
  DESTINATION ${KDE_INSTALL_INCLUDEDIR}/KPim${KF_MAJOR_VERSION}/AkonadiCalendar/Akonadi COMPONENT Devel
)
install( FILES
  ${CMAKE_CURRENT_BINARY_DIR}/akonadi-calendar_export.h
  ${AkonadiCalendar_HEADERS}
  ${CMAKE_CURRENT_BINARY_DIR}/calendarsettings.h
  DESTINATION ${KDE_INSTALL_INCLUDEDIR}/KPim${KF_MAJOR_VERSION}/AkonadiCalendar/akonadi COMPONENT Devel
)


if (BUILD_QCH)
    ecm_add_qch(
        KPim${KF_MAJOR_VERSION}AkonadiCalendar_QCH
        NAME AkonadiCalendar
        BASE_NAME KPim${KF_MAJOR_VERSION}AkonadiCalendar
        VERSION ${PIM_VERSION}
        ORG_DOMAIN org.kde
        SOURCES # using only public headers, to cover only public API
            ${AkonadiCalendar_HEADERS}
        MD_MAINPAGE "${CMAKE_SOURCE_DIR}/README.md"
        #IMAGE_DIRS "${CMAKE_SOURCE_DIR}/docs/pics"
        LINK_QCHS
            Qt${QT_MAJOR_VERSION}Core_QCH
        INCLUDE_DIRS
            ${CMAKE_CURRENT_BINARY_DIR}
        BLANK_MACROS
            AKONADI_CALENDAR_EXPORT
        TAGFILE_INSTALL_DESTINATION ${KDE_INSTALL_QTQCHDIR}
        QCH_INSTALL_DESTINATION ${KDE_INSTALL_QTQCHDIR}
        COMPONENT Devel
    )
endif()

=== debian/changelog ===
akonadi-calendar (4:23.08.5-0ubuntu4) noble; urgency=medium

  * No-change rebuild for CVE-2024-3094

 -- Steve Langasek <steve.langasek@ubuntu.com>  Sun, 31 Mar 2024 00:17:11 +0000

akonadi-calendar (4:23.08.5-0ubuntu3) noble; urgency=high

  * No change rebuild against libkpim5messagecomposer5t64,
    libkpim5messagecore5t64.

 -- Julian Andres Klode <juliank@ubuntu.com>  Fri, 22 Mar 2024 21:13:16 +0100

akonadi-calendar (4:23.08.5-0ubuntu2) noble; urgency=medium

  * No-change rebuild against libqt5core5t64

 -- Steve Langasek <steve.langasek@ubuntu.com>  Fri, 15 Mar 2024 03:49:05 +0000

akonadi-calendar (4:23.08.5-0ubuntu1) noble; urgency=medium

  * New upstream release (23.08.5)

 -- Scarlett Moore <sgmoore@debian.org>  Thu, 22 Feb 2024 09:23:23 -0700

akonadi-calendar (4:23.08.4-0ubuntu1) noble; urgency=medium

  * New upstream release (23.08.4)

 -- José Manuel Santamaría Lema <panfaust@gmail.com>  Wed, 13 Dec 2023 10:09:42 +0000

akonadi-calendar (4:23.08.3-0ubuntu1) noble; urgency=medium

  * New upstream release (23.08.3)

 -- Rik Mills <rikmills@kde.org>  Thu, 09 Nov 2023 11:28:45 +0000

akonadi-calendar (4:23.08.2-0ubuntu1) noble; urgency=medium

  * New upstream release (23.08.2)

 -- Rik Mills <rikmills@kde.org>  Thu, 26 Oct 2023 12:25:06 +0100

=== debian/control ===
--- 
+++ 
@@ -7,22 +7,22 @@
 Build-Depends: cmake (>= 2.8.12~),
                debhelper (>= 11),
                extra-cmake-modules (>= 5.31.0~),
-               libkf5akonadi-dev (>= 4:23.08.1~),
-               libkf5akonadicontact-dev (>= 4:23.08.1~),
+               libkf5akonadi-dev (>= 4:23.08.5~),
+               libkf5akonadicontact-dev (>= 4:23.08.5~),
                libkf5calendarcore-dev (>= 4:19.08.3~),
-               libkf5calendarutils-dev (>= 4:23.08.1~),
+               libkf5calendarutils-dev (>= 4:23.08.5~),
                libkf5codecs-dev (>= 5.31.0~),
-               libkf5contacteditor-dev (>= 4:23.08.1~),
+               libkf5contacteditor-dev (>= 4:23.08.5~),
                libkf5contacts-dev (>= 4:19.08.3~),
-               libkf5grantleetheme-dev (>= 23.08.1~),
-               libkf5identitymanagement-dev (>= 23.08.1~),
+               libkf5grantleetheme-dev (>= 23.08.5~),
+               libkf5identitymanagement-dev (>= 23.08.5~),
                libkf5kdelibs4support-dev (>= 5.31.0~),
                libkf5kio-dev (>= 5.31.0~),
-               libkf5mailtransport-dev (>= 23.08.1~),
-               libkf5messagecomposer-dev (>= 4:23.08.1~),
-               libkf5messagecore-dev (>= 4:23.08.1~),
-               libkf5mimetreeparser-dev (>= 4:23.08.1~),
-               libkf5templateparser-dev (>= 4:23.08.1~),
+               libkf5mailtransport-dev (>= 23.08.5~),
+               libkf5messagecomposer-dev (>= 4:23.08.5~),
+               libkf5messagecore-dev (>= 4:23.08.5~),
+               libkf5mimetreeparser-dev (>= 4:23.08.5~),
+               libkf5templateparser-dev (>= 4:23.08.5~),
                libkf5textaddons-dev,
                libkf5wallet-dev (>= 5.31.0~),
                pkg-kde-tools (>> 0.15.15),
@@ -47,8 +47,8 @@
 Package: libkf5akonadicalendar-dev
 Section: libdevel
 Architecture: any
-Depends: libkf5akonadi-dev (>= 4:23.08.1~),
-         libkf5akonadicontact-dev (>= 4:23.08.1~),
+Depends: libkf5akonadi-dev (>= 4:23.08.5~),
+         libkf5akonadicontact-dev (>= 4:23.08.5~),
          libkf5calendarcore-dev (>= 4:19.08.3~),
          libkpim5akonadicalendar5 (= ${binary:Version}),
          ${misc:Depends},

=== debian/rules ===
--- 
+++ 
@@ -8,13 +8,13 @@
 pkgs_lib = $(filter-out %-dev %-doc %-dbg %-data %-bin %-plugins,$(filter lib%,$(shell dh_listpackages)))
 
 %:
-	dh $@
+	dh $@ --with kf5
 
 override_dh_makeshlibs:
 	for pkg in $(pkgs_lib); do \
 		name=$$( echo "$${pkg}" | sed -e 's/abi[0-9]\+\s*//'); \
 		echo "ABI:VirtualPackage=$${name}-${AbiVirtualPackageVersion}" >> debian/$${pkg}.substvars; \
-		dh_makeshlibs -p$${pkg} -V "$${pkg} (>= $(DEB_VERSION_EPOCH_UPSTREAM)), $${name}-${AbiVirtualPackageVersion}"; \
+		dh_makeshlibs -p$${pkg} -V "libkf5akonadicalendar-bin, $${pkg} (>= $(DEB_VERSION_EPOCH_UPSTREAM)), $${name}-${AbiVirtualPackageVersion}"; \
 	done
 override_dh_auto_test:
 	- xvfb-run --\

## akonadi-calendar 24.08.2

=== debian/changelog ===
akonadi-calendar (4:24.08.2-1ubuntu1) plucky; urgency=medium

  * Merge from Debian Experimental. Remaining changes:
    - Kubuntuify.

 -- Simon Quigley <tsimonq2@ubuntu.com>  Thu, 31 Oct 2024 11:23:03 -0500

akonadi-calendar (4:24.08.2-1) experimental; urgency=medium

  [ Patrick Franz ]
  * New upstream release (24.08.2).
  * Update build-deps and deps with the info from cmake.

 -- Patrick Franz <deltaone@debian.org>  Sat, 12 Oct 2024 15:04:37 +0200

akonadi-calendar (4:24.08.0-2) experimental; urgency=medium

  [ Patrick Franz ]
  * Limit the build to architectutes where messagelib is available.

 -- Patrick Franz <deltaone@debian.org>  Sat, 28 Sep 2024 12:42:40 +0200

akonadi-calendar (4:24.08.0-1) experimental; urgency=medium

  [ Patrick Franz ]
  * New upstream release (24.08.0).
  * Remove redundant patches.
  * Update build-deps and deps with the info from cmake.
  * Create new packages.
  * Bump Standards-Version to 4.7.0 (no changes needed).
  * Do not rely on dpkg_late_eval any more to set the ABI-version for
    the virtual package.
  * Update d/copyright.

 -- Patrick Franz <deltaone@debian.org>  Thu, 12 Sep 2024 21:14:14 +0200

=== debian/control ===
Source: akonadi-calendar
Section: libs
Priority: optional
Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Sandro Knauß <hefee@debian.org>, Patrick Franz <deltaone@debian.org>,
Build-Depends: cmake (>= 3.16~),
               debhelper-compat (= 13),
               dh-sequence-kf6,
               extra-cmake-modules (>= 6.3.0~),
               gettext,
               libakonadi-dev (>= 4:24.08.2~),
               libakonadicontact-dev (>= 4:24.08.2~),
               libakonadimime-dev (>= 4:24.08.0~),
               libkcalendarutils-dev (>= 4:24.08.2~),
               libkf6calendarcore-dev (>= 6.3.0~),
               libkf6codecs-dev (>= 6.3.0~),
               libkf6dbusaddons-dev (>= 6.3.0~),
               libkf6i18n-dev (>= 6.3.0~),
               libkf6kio-dev (>= 6.3.0~),
               libkf6notifications-dev (>= 6.3.0~),
               libkf6widgetsaddons-dev (>= 6.3.0~),
               libkf6xmlgui-dev (>= 6.3.0~),
               libkidentitymanagement-dev (>= 24.08.2~),
               libkleo-dev (>= 4:24.08.2~),
               libkmailtransport-dev (>= 24.08.2~),
               libkmime-dev (>= 24.08.2~),
               messagelib-dev (>= 4:24.08.2~),
               qt6-base-dev (>= 6.6.0+dfsg~),
               xauth <!nocheck>,
               xvfb <!nocheck>,
Standards-Version: 4.7.0
Homepage: https://invent.kde.org/pim/akonadi-calendar
Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/akonadi-calendar
Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/akonadi-calendar
Rules-Requires-Root: no

Package: kalendarac
Architecture: amd64 arm64 armhf i386
Depends: ${misc:Depends}, ${shlibs:Depends},
Breaks: libkf5akonadicalendar-bin,
Replaces: libkf5akonadicalendar-bin,
Description: akonadi-calendar - calendar reminder
 This library offers helper functions to integrate the use of Akonadi calendar
 items in applications.
 .
 This package contains the daemon for calendar reminders.

Package: libakonadicalendar-data
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends},
Breaks: libkf5akonadicalendar-data,
Replaces: libkf5akonadicalendar-data,
Description: data files for akonadi-calendar
 This library offers helper functions to integrate the use of Akonadi calendar
 items in applications.
 .
 This package contains shared data files.

Package: libakonadicalendar-dev
Section: libdevel
Architecture: amd64 arm64 armhf i386
Multi-Arch: same
Depends: libakonadi-dev (>= 4:24.08.2~),
         libkf6calendarcore-dev (>= 6.3.0~),
         libkf6i18n-dev (>= 6.3.0~),
         libkf6widgetsaddons-dev (>= 6.3.0~),
         libkidentitymanagement-dev (>= 24.08.2~),
         libkpim6akonadicalendar6 (= ${binary:Version}),
         ${misc:Depends},
Description: akonadi-calendar - development files
 This library offers helper functions to integrate the use of Akonadi calendar
 items in applications.
 .
 This package contains the development files.

Package: libkpim6akonadicalendar6
Provides: ${ABI:VirtualPackage},
Architecture: amd64 arm64 armhf i386
Multi-Arch: same
Depends: libakonadicalendar-data (= ${source:Version}),
         ${misc:Depends},
         ${shlibs:Depends},
Description: library providing calendar helpers for Akonadi items
 This library offers helper functions to integrate the use of Akonadi calendar
 items in applications.
